Genders
Genders define the gender options available for person records.
Use the Datastore_Gender endpoint to query genders.
Endpoints
List Genders
GET
/v1/odata/Datastore_GenderSingle Gender
GET
/v1/odata/Datastore_Gender({id})Fields
Datastore Fields (inherited)
| Field | Type | Description |
|---|---|---|
Name | String | Display name |
Code | String | Unique code identifier |
LocalizedName | String | Localized display name |
IsDefault | Boolean | Whether this is the default value |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Person | Relation_Person | 1:N | Person |
Expanding Relationships
GET
/v1/odata/Datastore_Gender({id})?$expand=PersonNavigating Relationships
GET
/v1/odata/Datastore_Gender({id})/PersonFiltering Examples
GET
/v1/odata/Datastore_Gender?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Datastore_Gender?$filter=contains(Name, '{Name}')&$top={top}GET
/v1/odata/Datastore_Gender?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Datastore_Gender?$filter=IsDefault eq {IsDefault}&$top={top}